# Generated by Django 4.0.3 on 2023-10-17 18:36

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('shoes_rest', '0002_remove_shoe_shoe_name_shoe_color_shoe_model_name'),
    ]

    operations = [
        migrations.CreateModel(
            name='BinVO',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('closet_name', models.CharField(max_length=100)),
                ('bin_number', models.PositiveSmallIntegerField()),
                ('bin_size', models.PositiveSmallIntegerField()),
                ('import_href', models.CharField(max_length=200, unique=True)),
            ],
        ),
        migrations.AddField(
            model_name='shoe',
            name='manufacturer',
            field=models.CharField(default='Chicago', max_length=100),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='shoe',
            name='picture_url',
            field=models.URLField(null=True),
        ),
        migrations.AlterField(
            model_name='shoe',
            name='color',
            field=models.CharField(max_length=100),
        ),
        migrations.AlterField(
            model_name='shoe',
            name='model_name',
            field=models.CharField(max_length=100),
        ),
        migrations.AddField(
            model_name='shoe',
            name='bin',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, related_name='shoes', to='shoes_rest.binvo'),
        ),
    ]
